post
https://api.resly.com.au/messages
Send an email, SMS, or channel (OTA) message.
Target rules:
email/sms:reservationIdis required.channel: provide eitherreservationIdorthreadId.- If both are sent for a channel message,
reservationIdtakes precedence. - When the message webhook's
reservationIdis empty (for example, an enquiry), omitreservationIdand sendthreadIdonly.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
ScopeThis endpoint requires
Create Messagesaccess.
What to send
messageType | Required fields |
|---|---|
email | reservationId, subject, message |
sms | reservationId, message |
channel | message, and either reservationId or threadId |
If both reservationId and threadId are sent on a channel message, reservationId takes precedence.
When the webhook's reservationId is empty
reservationId is emptyIf the message webhook's reservationId is empty (for example, an enquiry), the channel thread is not linked to a Resly reservation yet. Reply with threadId only and leave out reservationId. Otherwise use reservationId.
Example: replying to an enquiry
{
"messageType": "channel",
"threadId": "1234567890",
"message": "Thanks for your enquiry, those dates are available."
}